Loading...
Searching...
No Matches
encode_audio.c File Reference
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <libavcodec/avcodec.h>`
`#include <libavutil/channel_layout.h>`
`#include <libavutil/common.h>`
`#include <libavutil/frame.h>`
`#include <libavutil/samplefmt.h>`

Go to the source code of this file.

## Functions

static int | check_sample_fmt (const AVCodec *codec, enum AVSampleFormat sample_fmt)
static int | select_sample_rate (const AVCodec *codec)
static int | select_channel_layout (const AVCodec *codec, AVChannelLayout *dst)
static void | encode (AVCodecContext *ctx, AVFrame *frame, AVPacket *pkt, FILE *output)
int | main (int argc, char **argv)

## Function Documentation

## check_sample_fmt()

int check_sample_fmt | ( | const AVCodec * | codec,
|  | enum AVSampleFormat | sample_fmt )

static

Examples
  encode_audio.c.

Definition at line 42 of file encode_audio.c.

Referenced by main().

## select_sample_rate()

int select_sample_rate | ( | const AVCodec * | codec | ) |

static

Examples
  encode_audio.c.

Definition at line 55 of file encode_audio.c.

Referenced by main().

## select_channel_layout()

int select_channel_layout | ( | const AVCodec * | codec,
|  | AVChannelLayout * | dst )

static

Examples
  encode_audio.c.

Definition at line 73 of file encode_audio.c.

Referenced by main().

## encode()

void encode | ( | AVCodecContext * | ctx,
|  | AVFrame * | frame,
|  | AVPacket * | pkt,
|  | FILE * | output )

static

Examples
  encode_audio.c, and encode_video.c.

Definition at line 94 of file encode_audio.c.

Referenced by avcodec_string(), and main().

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 122 of file encode_audio.c.